%define module ddx
%define debug_package %{nil}
%define _prefix %(%{SOURCE1} --prefix %{module}_uni)
%define require_glamor_amdgpu 0

%define moddir %(pkg-config xorg-server --variable=moduledir | \
	sed "s|/usr|%{_prefix}|")
%define confdir %(pkg-config xorg-server --variable=sysconfigdir)

%define abi() \
%if 0%{?suse_version} \
%{expand:%%{?x11_abi_%{1}_req}} \
%else \
Requires: Xorg %(%{pkgpath} xserver-sdk-abi-requires %1) \
%endif

Summary: Xorg X11 amdgpu video driver
Name: xorg-x11-amdgpu-drv-amdgpu
Version: 19.1.0
Release: 1089974.el8
Epoch: 1
License: MIT
Group: User Interface/X Hardware Support
ExcludeArch: s390 s390x
URL: http://www.x.org
Source1: rbh.sh
Source2: rbh.conf
Source100: ddx.rbh
Source101: ddx-19.1.0.tar.gz


%if 0%{?rhel} > 7
BuildRequires: python3
%else
BuildRequires: python
%endif
BuildRequires: libdrm-devel
BuildRequires: libdrm-amdgpu-devel = 1:2.4.100-1089974.el8
BuildRequires: mesa-amdgpu-libgbm-devel = 1:20.0.5-1089974.el8
BuildRequires: mesa-amdgpu-libGL-devel = 1:20.0.5-1089974.el8
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libtool
BuildRequires: pkgconfig
BuildRequires: libudev-devel
%if 0%{?suse_version}
BuildRequires: kernel-source
BuildRequires: xorg-x11-server-sdk
BuildRequires: util-macros-devel
%else
BuildRequires: kernel-headers >= 2.6.27-0.308
BuildRequires: xorg-x11-util-macros >= 1.1.5
BuildRequires: xorg-x11-server-devel >= 1.10.99.902
%endif
Requires: libdrm-amdgpu
%if 0%{?require_glamor_amdgpu}
BuildRequires: glamor-amdgpu-devel
Requires: glamor-amdgpu
%endif
%abi ansic
%abi videodrv

%description
X.Org X11 ati video driver.

%prep
tar -C %{_sourcedir} -zxvf %{SOURCE101}

%{SOURCE1} --prep %{module}_uni
%setup -T -D -n xf86-video-amdgpu

%build
%{SOURCE1} --build %{module}_uni

%install
%{SOURCE1} --install %{module}_uni

%clean
rm -rf %{buildroot} %{_builddir}/xf86-video-amdgpu
rm -rf %{_sourcedir}/xf86-video-amdgpu


%files
%config %attr(0644,root,root) %{confdir}/00-amdgpu.conf
%{moddir}
%{_mandir}/man4/amdgpu.4*


%changelog
* Tue Jun 09 2020 AMD automated build system <gpudriverdevsupport@amd.com> 19.1.0-1089974.el8
- xf86-video-amdgpu 
- gerritgit/amd-mainline-hybrid-master-20190109
- df592f71ece38c9f3eb618d2ea9a273aaeb80a9a
- build ID: 1089974

